Subject: Re: linux-next: build failure after merge of the sound tree

From: Takashi Iwai <[email-masked]>
Date: Mon, 20 Jan 2025 08:42:20 +0100

On Mon, 20 Jan 2025 04:56:17 +0100,
Stephen Rothwell wrote:
> 
> Hi all,
> 
> After merging the sound tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> sound/usb/fcp.c: In function 'fcp_hwdep_init':
> sound/usb/fcp.c:889:22: error: assignment to 'long int (*)(struct snd_hwdep *, char *, long int,  loff_t *)' {aka 'long int (*)(struct snd_hwdep *, char *, long int,  long long int *)'} from incompatible pointer type 'ssize_t (*)(struct snd_hwdep *, char *, long int,  loff_t *)' {aka 'int (*)(struct snd_hwdep *, char *, long int,  long long int *)'} [-Wincompatible-pointer-types]
>   889 |         hw->ops.read = fcp_hwdep_read;
>       |                      ^
> 
> Caused by commit
> 
>   46757a3e7d50 ("ALSA: FCP: Add Focusrite Control Protocol driver")
> 
> I have applied the following patch for today.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 20 Jan 2025 14:49:12 +1100
> Subject: [PATCH] fixup for "ALSA: FCP: Add Focusrite Control Protocol driver"
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>

Sorry for inconvenience.  I pushed your fix now.
(I tried to address yesterday, but it wasn't enough, obviously.)

thanks,

Takashi